package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 学院和学校百分比
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/10
 */
public class CollegeAndSchoolGradeDistributionResult implements Serializable {

    @ApiModelProperty(value = "分数段等级list")
    private List<GradeDistributionResult> gradeDistributionList;

    @ApiModelProperty(value = "分数段等级list")
    private List<PiecewiseDistributionResult> piecewiseDistributionList;

    public CollegeAndSchoolGradeDistributionResult() {

    }

    public CollegeAndSchoolGradeDistributionResult(List<GradeDistributionResult> gradeDistributionList, List<PiecewiseDistributionResult> piecewiseDistributionList) {
        this.gradeDistributionList = gradeDistributionList;
        this.piecewiseDistributionList = piecewiseDistributionList;
    }

    public List<GradeDistributionResult> getGradeDistributionList() {
        return gradeDistributionList;
    }

    public void setGradeDistributionList(List<GradeDistributionResult> gradeDistributionList) {
        this.gradeDistributionList = gradeDistributionList;
    }

    public List<PiecewiseDistributionResult> getPiecewiseDistributionList() {
        return piecewiseDistributionList;
    }

    public void setPiecewiseDistributionList(List<PiecewiseDistributionResult> piecewiseDistributionList) {
        this.piecewiseDistributionList = piecewiseDistributionList;
    }
}
